Breadcrumbs

Metavault API - Get satellite list of type of entity

GetSatellitesOfEntity - GET

Path

/api/projects/{projectId}/model/satellites/{entityType}

Http Method

GET

Overview

Required permissions

  • Read access to the Build module. BUILD READ

Request

Path parameters

Parameter

Type

Required

Description

Example

entityType

string

Yes

The type of entity the satellites are attached to. One of:

  • hubs

  • links

hubs

Query parameters

See: Metavault API - General concepts | Paging, sorting and filters for collection query parameters.

Response

Success response (200 OK)

JSON
{
  "_embedded": {
    "satellites": [
      {
        "_embedded": {
          "columns": [
            {
              "id": "3e54e05a-43fa-41f7-ac16-cef06a008d2d",
              "columnName": "column1",
              "dataType": "String",
              "typeFullName": "VARCHAR(50)",
              "businessName": "Column one business name",
              "description": "The description of coolumn 1",
              "required": true,
              "defaultValue": "one",
              "isComputed": false,
              "order": 0,
              "length": 50,
              "precision": 10,
              "scale": 5,
              "isSequence": false
            },
            {
              "id": "d9e8f373-02ac-4665-adc6-9c034865864c",
              "columnName": "column2",
              "dataType": "String",
              "typeFullName": "VARCHAR(50)",
              "businessName": "Column two business name",
              "description": "The description of coolumn 2",
              "required": false,
              "isComputed": true,
              "order": 1,
              "length": 50,
              "isSequence": true
            }
          ]
        },
        "id": "3e252928-0470-4334-8026-6ac2d3fc1260",
        "name": "Employee_MySatellite2",
        "displayName": "MySatellite2",
        "businessDescription": "my satellite business description",
        "technicalDescription": "my satellite technical description",
        "deployedInProduction": false,
        "entityType": "Satellite",
        "tableName": "dv.mash_Employee_MySatellite2",
        "isMultiActive": true,
        "subSequenceColumn": {
          "id": "d9e8f373-02ac-4665-adc6-9c034865864c",
          "columnName": "column2",
          "dataType": "String",
          "typeFullName": "VARCHAR(50)",
          "businessName": "Column two business name",
          "description": "The description of coolumn 2",
          "required": false,
          "isComputed": true,
          "order": 1,
          "length": 50,
          "isSequence": true
        }
      },
      {
        "_embedded": {
          "columns": [
            {
              "id": "76977ffe-9bc2-4c4b-8b65-04bbdb55b033",
              "columnName": "column1",
              "dataType": "String",
              "typeFullName": "VARCHAR",
              "required": true,
              "isComputed": false,
              "order": 0,
              "isSequence": false
            },
            {
              "id": "d6fd9b61-838c-4b1b-adaf-f1c8682a40b3",
              "columnName": "column2",
              "dataType": "String",
              "typeFullName": "VARCHAR(50)",
              "businessName": "Column two business name",
              "description": "The description of coolumn 2",
              "required": false,
              "isComputed": true,
              "order": 1,
              "length": 50,
              "isSequence": true
            },
            {
              "id": "0e870a2f-b04e-4df1-b0f3-a495a69373ef",
              "columnName": "column3",
              "dataType": "String",
              "typeFullName": "VARCHAR",
              "required": true,
              "isComputed": false,
              "order": 3,
              "isSequence": false
            }
          ]
        },
        "id": "27d589a3-6333-4d23-b86f-8be4429e15c7",
        "name": "Employee_MySatellite4",
        "displayName": "MySatellite4",
        "deployedInProduction": false,
        "entityType": "Satellite",
        "tableName": "dv.sh_Employee_MySatellite4",
        "isMultiActive": false
      }
    ]
  },
  "sort": [],
  "index": 0,
  "limit": 10,
  "expand": [],
  "total": 2
}
Response fields

For collection parameter responses see:Metavault API - General concepts